Class SelectCartesianCoordinateSystem
Inheritance
System.Object
System.MarshalByRefObject
SelectCartesianCoordinateSystem
Inherited Members
System.MarshalByRefObject.CreateObjRef(System.Type)
System.MarshalByRefObject.GetLifetimeService()
System.MarshalByRefObject.InitializeLifetimeService()
System.MarshalByRefObject.MemberwiseClone(System.Boolean)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
Namespace: NXOpen
Assembly: NXOpen.dll
Syntax
public class SelectCartesianCoordinateSystem : TaggedObject, IMessageSink, IComponentBuilder
Constructors
SelectCartesianCoordinateSystem()
Declaration
protected SelectCartesianCoordinateSystem()
Properties
Value
Declaration
public CartesianCoordinateSystem Value { get; set; }
Property Value
Type | Description |
---|---|
CartesianCoordinateSystem |
Methods
GetValue(out CaeObjectType.CaeSubType, out Int32)
Declaration
[Obsolete("Deprecated in NX10.0.0. Use other versions of NXOpen.SelectObject.GetValue.")]
public CartesianCoordinateSystem GetValue(out CaeObjectType.CaeSubType caeSubType, out int caeSubId)
Parameters
Type | Name | Description |
---|---|---|
CaeObjectType.CaeSubType | caeSubType | |
System.Int32 | caeSubId |
Returns
Type | Description |
---|---|
CartesianCoordinateSystem |
GetValue(out CartesianCoordinateSystem, out View, out Point3d)
Declaration
public void GetValue(out CartesianCoordinateSystem selection, out View view, out Point3d point)
Parameters
Type | Name | Description |
---|---|---|
CartesianCoordinateSystem | selection | |
View | view | |
Point3d | point |
GetValue(out InferSnapType.SnapType, out CartesianCoordinateSystem, out View, out Point3d, out CartesianCoordinateSystem, out View, out Point3d)
Declaration
public void GetValue(out InferSnapType.SnapType snapType, out CartesianCoordinateSystem selection1, out View view1, out Point3d point1, out CartesianCoordinateSystem selection2, out View view2, out Point3d point2)
Parameters
Type | Name | Description |
---|---|---|
InferSnapType.SnapType | snapType | |
CartesianCoordinateSystem | selection1 | |
View | view1 | |
Point3d | point1 | |
CartesianCoordinateSystem | selection2 | |
View | view2 | |
Point3d | point2 |
SetValue(CartesianCoordinateSystem, CaeObjectType.CaeSubType, Int32)
Declaration
[Obsolete("Deprecated in NX10.0.0. Use other versions of NXOpen.SelectObject.SetValue.")]
public void SetValue(CartesianCoordinateSystem selection, CaeObjectType.CaeSubType caeSubType, int caeSubId)
Parameters
Type | Name | Description |
---|---|---|
CartesianCoordinateSystem | selection | |
CaeObjectType.CaeSubType | caeSubType | |
System.Int32 | caeSubId |
SetValue(CartesianCoordinateSystem, View, Point3d)
Declaration
public void SetValue(CartesianCoordinateSystem selection, View view, Point3d point)
Parameters
Type | Name | Description |
---|---|---|
CartesianCoordinateSystem | selection | |
View | view | |
Point3d | point |
SetValue(InferSnapType.SnapType, CartesianCoordinateSystem, View, Point3d, CartesianCoordinateSystem, View, Point3d)
Declaration
public void SetValue(InferSnapType.SnapType snapType, CartesianCoordinateSystem selection1, View view1, Point3d point1, CartesianCoordinateSystem selection2, View view2, Point3d point2)
Parameters
Type | Name | Description |
---|---|---|
InferSnapType.SnapType | snapType | |
CartesianCoordinateSystem | selection1 | |
View | view1 | |
Point3d | point1 | |
CartesianCoordinateSystem | selection2 | |
View | view2 | |
Point3d | point2 |
Validate()
Declaration
public bool Validate()
Returns
Type | Description |
---|---|
System.Boolean |
Implements
System.Runtime.Remoting.Messaging.IMessageSink